// @ts-check
import { defineConfig } from 'astro/config';
import db from '@astrojs/db';
import node from '@astrojs/node';

import tailwindcss from '@tailwindcss/vite';

export default defineConfig({
  integrations: [db()],
  adapter: node({
    mode: 'standalone',
    port: 80,
    host: '0.0.0.0'
  }),
  vite: {
    plugins: [tailwindcss()],
    server: {
      host: true
    }
  }
});